UniProtCommentParser.Isoform (BioJava-1.5-beta API)
Keywords: org.biojavax.bio.seq.io.UniProtCommentParser.Isoform class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.seq.io
Class UniProtCommentParser.Isoform

    java.lang.Object
      org.biojavax.bio.seq.io.UniProtCommentParser.Isoform

Enclosing class:
  UniProtCommentParser

    public static class UniProtCommentParser.Isoform

extends Object

A class to describe isoforms for alternative product comments.

Constructor Summary
`UniProtCommentParser.Isoform()` Creates a new instance.

Method Summary
`List` | `getIsoIDs()` Getter for property isoIDs.
`List` | `getNames()` Getter for property names.
`String` | `getNote()` Getter for property note.
`String` | `getSequenceRef()` Getter for property sequenceRef.
`String` | `getSequenceType()` Getter for property sequenceType.
`void` | `setIsoIDs(List isoIDs)` Setter for property isoIDs.
`void` | `setNames(List names)` Setter for property names.
`void` | `setNote(String note)` Setter for property note.
`void` | `setSequenceRef(String sequenceRef)` Setter for property sequenceRef.
`void` | `setSequenceType(String sequenceType)` Setter for property sequenceType.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UniProtCommentParser.Isoform

    public UniProtCommentParser.Isoform()

  Creates a new instance.

Method Detail

### getNames

    public List getNames()

  Getter for property names.

  Returns:
    Value of property names.

### setNames

    public void setNames(List names)

  Setter for property names.

  Parameters:
    `names` - New value of property names.

### getIsoIDs

    public List getIsoIDs()

  Getter for property isoIDs.

  Returns:
    Value of property isoIDs.

### setIsoIDs

    public void setIsoIDs(List isoIDs)

  Setter for property isoIDs.

  Parameters:
    `isoIDs` - New value of property isoIDs.

### getSequenceType

    public String getSequenceType()

  Getter for property sequenceType.

  Returns:
    Value of property sequenceType.

### setSequenceType

    public void setSequenceType(String sequenceType)

  Setter for property sequenceType.

  Parameters:
    `sequenceType` - New value of property sequenceType.

### getSequenceRef

    public String getSequenceRef()

  Getter for property sequenceRef.

  Returns:
    Value of property sequenceRef.

### setSequenceRef

    public void setSequenceRef(String sequenceRef)

  Setter for property sequenceRef.

  Parameters:
    `sequenceRef` - New value of property sequenceRef.

### getNote

    public String getNote()

  Getter for property note.

  Returns:
    Value of property note.

### setNote

    public void setNote(String note)

  Setter for property note.

  Parameters:
    `note` - New value of property note.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD